server {
        listen       80;
        listen       [::]:80;
        server_name  oss.scnict.com;
        rewrite ^(.*) https://$server_name$1 permanent;
}

server {
        listen       443 ssl http2 default_server;
        listen       [::]:443 ssl http2 default_server;
        server_name  oss.scnict.com;
        root         ~/web/assets;

        ssl_certificate "cert/oss.scnict.com.pem";
        ssl_certificate_key "cert/oss.scnict.com.key";
        ssl_session_cache shared:SSL:1m;
        ssl_session_timeout  10m;
        ssl_ciphers HIGH:!aNULL:!MD5;
        ssl_prefer_server_ciphers on;
       
}
